package guru.dead.icf320;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.TextArea;

public class RawDataController extends SerialController {

    @FXML
    private TextArea textInput;

    public void onPushButtonClick(ActionEvent actionEvent) {
        if (getSelectedPort() == null || !getSelectedPort().isOpen()) {
            log("ERROR", "Please select a valid COM port.\n");
            return;
        }

        String inputData = textInput.getText();
        if (inputData.isEmpty()) {
            log("ERROR", "Please enter some data.\n");
            return;
        }

        sendData(inputData);
    }
}
